FBO Accounts
List FBO Accounts
Retrieve a list of FBO accounts
GET
/
fbo-accounts
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/fbo-accounts?page=1&limit=25 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/fbo-accounts?page=1&limit=25", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/fbo-accounts?page=1&limit=25",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/fbo-accounts?page=1&limit=25"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "m97fbo456",
"organizationId": "k57orgxyz",
"firstName": "Jane",
"lastName": "Smith",
"email": "jane@example.com",
"phone": "+15551234567",
"businessName": "Smith Holdings LLC",
"maxInsuredValueCents": "50000000",
"isPrimary": false,
"createdAt": "2025-03-01T12:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}
Returns a paginated list of FBO accounts within the organization.
Authorizations
string
required
Send
Bearer <token> in this header. The key needs fbo_accounts:read.Query Parameters
number
default:"1"
number
default:"25"
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/fbo-accounts?page=1&limit=25 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/fbo-accounts?page=1&limit=25", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/fbo-accounts?page=1&limit=25",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/fbo-accounts?page=1&limit=25"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "m97fbo456",
"organizationId": "k57orgxyz",
"firstName": "Jane",
"lastName": "Smith",
"email": "jane@example.com",
"phone": "+15551234567",
"businessName": "Smith Holdings LLC",
"maxInsuredValueCents": "50000000",
"isPrimary": false,
"createdAt": "2025-03-01T12:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}
⌘I
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/fbo-accounts?page=1&limit=25 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/fbo-accounts?page=1&limit=25", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/fbo-accounts?page=1&limit=25",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/fbo-accounts?page=1&limit=25"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "m97fbo456",
"organizationId": "k57orgxyz",
"firstName": "Jane",
"lastName": "Smith",
"email": "jane@example.com",
"phone": "+15551234567",
"businessName": "Smith Holdings LLC",
"maxInsuredValueCents": "50000000",
"isPrimary": false,
"createdAt": "2025-03-01T12:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}